#Manual - Python Version
#Version 0-050409-1

import wx, wx.html, os, sys

class manualFrame(wx.Frame):

        def __init__(self, *args, **kwargs):
                wx.Frame.__init__(self, *args, **kwargs)
                
                self.SetBackgroundColour("white")
                
                menubar = wx.MenuBar()
                
                File = wx.Menu()
                Open = wx.Menu()
                Help = wx.Menu()

                fOpen  = wx.MenuItem(File, wx.NewId(), '&Open\tCtrl+O')
                fQuit  = wx.MenuItem(File, wx.NewId(), '&Quit\tCtrl+Q')
                hBug   = wx.MenuItem(Help, wx.NewId(), 'Found a &Bug?')
                hAbout = wx.MenuItem(Help, wx.NewId(), '&About')

                File.AppendItem(fOpen)
                File.AppendSeparator()
                File.AppendItem(fQuit)
                Help.AppendItem(hBug)
                Help.AppendSeparator()
                Help.AppendItem(hAbout)

                self.Bind(wx.EVT_MENU, self.OnOpen, id=fOpen.GetId())
                self.Bind(wx.EVT_MENU, self.OnQuit, id=fQuit.GetId())
                self.Bind(wx.EVT_MENU, self.OnAbout, id=hAbout.GetId())
                
                menubar.Append(File, '&File')
                menubar.Append(Help, '&Help')
                self.SetMenuBar(menubar)

                self.browser = wx.html.HtmlWindow(self, wx.NewId(), pos=(0,30), size=(602,310))

                self.statusbar = self.CreateStatusBar()

        def OnOpen(self, event):

                directory = '/usr/share/doc/'
                filters = 'Web Documents (*.html, *.xml, *.xhtml)|*.*ml|Text Documents (*.txt)|*.txt'
                dialog = wx.FileDialog(None, message = 'Open HTML Document...',
                                       defaultDir = directory,
                                       wildcard = filters, style = wx.OPEN)
                
                if dialog.ShowModal() == wx.ID_OK:
                        path = dialog.GetPath()
                        self.browser.LoadPage(path)
                        self.SetStatusText(path)
                
                dialog.Destroy()

        def OnQuit(self, event):
                self.Close()

        def OnAbout(self, event):
                pass

class manualApp(wx.App):

        def OnInit(self):
                wx.InitAllImageHandlers()
                frame = manualFrame(None, title="Manual")
                frame.Show()
                self.SetTopWindow(frame)

                return True

if __name__ == "__main__":
        app = manualApp()
        app.MainLoop()
